---
#
#      Copyright (c) 2022 Pensando Systems
#      All rights reserved.
#
#      author: Pensando - Technical Business Development Team
#
#      Demonstration of a sample workflow use case
#
#      usage:
#
#             To demo pushing a new VLAN and VRF to a CX10K and replicating that info in PSM
#
#               ./network_create.yml
#
#
- hosts: localhost
  gather_facts: False

  vars_files:
  - '{{ playbook_dir }}/vars/add_vars.yml'

  # roles:
  #   - role: arubanetworks.aoscx_role

  collections:
    - pensando.dss

  tasks:
  # - name: Create VRF on CX10K
  #   aoscx_vrf:
  #     name: '{{ network.new_vrf_id }}'
  #     state: create

  # - name: Create VLAN on CX10K with description
  #   aoscx_vlan:
  #     vlan_id: '{{ network.new_vlan_id }}'
  #     name: TBD-DEL-'{{ network.new_vlan_id }}'
  #     description: 'VLAN {{ network.new_vlan_id }} created via Ansible'

  - name: Create Virtual Router on PSM
    dss_virtual_router:
      state: present
      virtual_router_name: '{{ network.new_vrf_id }}'
      tenant: default
      psm_user: '{{ psm.username }}'
      psm_password: '{{ psm.passwd }}'
      psm_host: '{{ psm.ip }}'

  - name: Create Network Object with VLAN on PSM
    dss_network_no_policy:
      debug:
        var: '{{ network.new_vlan_id }}'
        verbosity: 3
      state: present
      network_name: '{{ psm.network_name }}'
      tenant: default
      psm_user: '{{ psm.username }}'
      psm_password: '{{ psm.passwd }}'
      psm_host: '{{ psm.ip }}'
      vlan_id: '{{ network.new_vlan_id }}'
      virtual_router: '{{ network.new_vrf_id }}'
